aws-0.16: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Sqs.Commands.Queue

Synopsis

- data CreateQueue = CreateQueue {
  - cqDefaultVisibilityTimeout :: Maybe Int
  - cqQueueName :: Text
  }
- data CreateQueueResponse = CreateQueueResponse {
  - cqrQueueUrl :: Text
  }
- data DeleteQueue = DeleteQueue {
  - dqQueueName :: QueueName
  }
- data DeleteQueueResponse = DeleteQueueResponse
- data ListQueues = ListQueues {
  - lqQueueNamePrefix :: Maybe Text
  }
- data ListQueuesResponse = ListQueuesResponse {
  - lqrQueueUrls :: [Text]
  }

# Documentation

data CreateQueue #

Constructors

CreateQueue |
Fields cqDefaultVisibilityTimeout :: Maybe Int cqQueueName :: Text

Instances

Show CreateQueue # |
Methods showsPrec :: Int -> CreateQueue -> ShowS # show :: CreateQueue -> String # showList :: [CreateQueue] -> ShowS #
SignQuery CreateQueue # | ServiceConfiguration: `SqsConfiguration`
Associated Types type ServiceConfiguration CreateQueue :: * -> * # Methods signQuery :: CreateQueue -> ServiceConfiguration CreateQueue queryType -> SignatureData -> SignedQuery #
Transaction CreateQueue CreateQueueResponse # |
type ServiceConfiguration CreateQueue # |
type ServiceConfiguration CreateQueue = SqsConfiguration

data CreateQueueResponse #

Constructors

CreateQueueResponse |
Fields cqrQueueUrl :: Text

Instances

Show CreateQueueResponse # |
Methods showsPrec :: Int -> CreateQueueResponse -> ShowS # show :: CreateQueueResponse -> String # showList :: [CreateQueueResponse] -> ShowS #
AsMemoryResponse CreateQueueResponse # |
Associated Types type MemoryResponse CreateQueueResponse :: * # Methods loadToMemory :: CreateQueueResponse -> ResourceT IO (MemoryResponse CreateQueueResponse) #
Transaction CreateQueue CreateQueueResponse # |
ResponseConsumer r CreateQueueResponse # |
Associated Types type ResponseMetadata CreateQueueResponse :: * # Methods responseConsumer :: Request -> r -> IORef (ResponseMetadata CreateQueueResponse) -> HTTPResponseConsumer CreateQueueResponse #
type MemoryResponse CreateQueueResponse # |
type MemoryResponse CreateQueueResponse = CreateQueueResponse
type ResponseMetadata CreateQueueResponse # |
type ResponseMetadata CreateQueueResponse = SqsMetadata

data DeleteQueue #

Constructors

DeleteQueue |
Fields dqQueueName :: QueueName

Instances

Show DeleteQueue # |
Methods showsPrec :: Int -> DeleteQueue -> ShowS # show :: DeleteQueue -> String # showList :: [DeleteQueue] -> ShowS #
SignQuery DeleteQueue # | ServiceConfiguration: `SqsConfiguration`
Associated Types type ServiceConfiguration DeleteQueue :: * -> * # Methods signQuery :: DeleteQueue -> ServiceConfiguration DeleteQueue queryType -> SignatureData -> SignedQuery #
Transaction DeleteQueue DeleteQueueResponse # |
type ServiceConfiguration DeleteQueue # |
type ServiceConfiguration DeleteQueue = SqsConfiguration

data DeleteQueueResponse #

Constructors

DeleteQueueResponse |

Instances

Show DeleteQueueResponse # |
Methods showsPrec :: Int -> DeleteQueueResponse -> ShowS # show :: DeleteQueueResponse -> String # showList :: [DeleteQueueResponse] -> ShowS #
AsMemoryResponse DeleteQueueResponse # |
Associated Types type MemoryResponse DeleteQueueResponse :: * # Methods loadToMemory :: DeleteQueueResponse -> ResourceT IO (MemoryResponse DeleteQueueResponse) #
Transaction DeleteQueue DeleteQueueResponse # |
ResponseConsumer r DeleteQueueResponse # |
Associated Types type ResponseMetadata DeleteQueueResponse :: * # Methods responseConsumer :: Request -> r -> IORef (ResponseMetadata DeleteQueueResponse) -> HTTPResponseConsumer DeleteQueueResponse #
type MemoryResponse DeleteQueueResponse # |
type MemoryResponse DeleteQueueResponse = DeleteQueueResponse
type ResponseMetadata DeleteQueueResponse # |
type ResponseMetadata DeleteQueueResponse = SqsMetadata

data ListQueues #

Constructors

ListQueues |
Fields lqQueueNamePrefix :: Maybe Text

Instances

Show ListQueues # |
Methods showsPrec :: Int -> ListQueues -> ShowS # show :: ListQueues -> String # showList :: [ListQueues] -> ShowS #
SignQuery ListQueues # | ServiceConfiguration: `SqsConfiguration`
Associated Types type ServiceConfiguration ListQueues :: * -> * # Methods signQuery :: ListQueues -> ServiceConfiguration ListQueues queryType -> SignatureData -> SignedQuery #
Transaction ListQueues ListQueuesResponse # |
type ServiceConfiguration ListQueues # |
type ServiceConfiguration ListQueues = SqsConfiguration

data ListQueuesResponse #

Constructors

ListQueuesResponse |
Fields lqrQueueUrls :: [Text]

Instances

Show ListQueuesResponse # |
Methods showsPrec :: Int -> ListQueuesResponse -> ShowS # show :: ListQueuesResponse -> String # showList :: [ListQueuesResponse] -> ShowS #
AsMemoryResponse ListQueuesResponse # |
Associated Types type MemoryResponse ListQueuesResponse :: * # Methods loadToMemory :: ListQueuesResponse -> ResourceT IO (MemoryResponse ListQueuesResponse) #
Transaction ListQueues ListQueuesResponse # |
ResponseConsumer r ListQueuesResponse # |
Associated Types type ResponseMetadata ListQueuesResponse :: * # Methods responseConsumer :: Request -> r -> IORef (ResponseMetadata ListQueuesResponse) -> HTTPResponseConsumer ListQueuesResponse #
type MemoryResponse ListQueuesResponse # |
type MemoryResponse ListQueuesResponse = ListQueuesResponse
type ResponseMetadata ListQueuesResponse # |
type ResponseMetadata ListQueuesResponse = SqsMetadata